<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateManagerSubscriberGroupsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('subscriber_groups', function(Blueprint $table)
		{
            $table->engine = 'InnoDB';
			$table->integer('subscriber_id')->unsigned();
			$table->integer('subscriber_group_id')->unsigned();

            $table->primary(['subscriber_id', 'subscriber_group_id']);
            $table->foreign('subscriber_id')->references('id')->on('subscribers')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('subscriber_group_id')->references('id')->on('subscribers_groups')->onDelete('cascade')->onUpdate('cascade');
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('subscriber_groups');
	}

}
