@extends(Config::get('manager::views.layouts.master'))

@section('content')
    {{ Form::manager_breadcrumb(array('Contatos da newsletter')) }}

    {{
        Form::manager_page_header(
            'Contatos da newsletter',
            null,
            array(
                'route'    => route('manager.subscribers.create'),
                'label'    => 'Inserir novo contato',
                'btn-type' => 'primary',
                'custom'   => '<a href="'. route('manager.subscribers.export') .'" class="btn btn-info">Exportar contatos</a>'
            )
        )
    }}

    @include('manager::inc.messages')

    <form action="{{ route('manager.subscribers.index') }}" class="well form-inline" method="get" id="form-search">
        <div class="pull-left">
            <label>
                <input type="text" name="name" class="form-control" placeholder="Nome..." value="{{ Input::get('name') }}" maxlength="100">
            </label>&nbsp;
        </div>

        <div class="pull-left">
            <label>
                <input type="text" name="email" class="form-control" placeholder="Email..." value="{{ Input::get('email') }}" maxlength="100" />
            </label>&nbsp;
        </div>

        <div class="pull-left">
            <button type="submit" class="btn btn-primary"><i class="icon-search icon-white"></i> Buscar</button>

            <a class="btn btn-default" href="{{ route('manager.subscribers.index') }}">
                Limpar filtros
            </a>
        </div>

        <div class="clearfix"></div>
    </form>

    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th>#</th>
                <th>Nome</th>
                <th>E-mail</th>
                <th>Data do cadastro</th>
                <th width="15%">Ações</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($subscribers as $subscriber)
                <tr>
                    <td>{{ $subscriber->id }}</td>
                    <td>{{ $subscriber->name }}</td>
                    <td>{{ $subscriber->email }}</td>
                    <td>{{ $subscriber->created_at->format('d/m/Y') }}</td>
                    <td>
                        <div class="btn-group btn-group-sm">
                            <a href="{{ route('manager.subscribers.edit', $subscriber->id) }}" class="btn btn-default" title="Editar">
                                <i class="glyphicon glyphicon-pencil"></i> editar
                            </a>

                            <a href="{{ route('manager.subscribers.destroy', $subscriber->id) }}" class="btn btn-default" title="Excluir" data-delete>
                                <i class="glyphicon glyphicon-trash"></i> excluir
                            </a>
                        </div>
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table>

    <div class="pull-left">
        {{ $subscribers->appends(Input::except('page'))->links() }}
    </div><!-- .pull-left -->

    <div class="pull-right">
        <p>Exibindo resultados de {{ $subscribers->getFrom() }} até {{ $subscribers->getTo() }} de um total de {{ $subscribers->getTotal() }}</p>
    </div><!-- .pull-right -->

    <div class="clearfix"></div>
@stop
